<?php

use quantik\src\ArrayPieceQuantik;
use quantik\src\PlateauQuantik;


require "../src/PlateauQuantik.php";
require "../src/ArrayPieceQuantik.php";

/* test du contructeur */

$plateau = new PlateauQuantik();

//création des tableau de pieces
echo "création des tableau de pieces";

$PieceNoire = ArrayPieceQuantik::initPiecesNoires();
$PieceBlanche = ArrayPieceQuantik::initPiecesBlanches();

//on va remplir le plateau avec les pieces des tableaux de array créer
echo "Remplissage le plateau avec les pieces des tableaux de array créer</br>";

$plateau->setPiece(0,0, $PieceNoire->getPieceQuantik(0));
$plateau->setPiece(0,1, $PieceNoire->getPieceQuantik(1));
$plateau->setPiece(0,2, $PieceNoire->getPieceQuantik(2));
$plateau->setPiece(0,3, $PieceNoire->getPieceQuantik(3));
$plateau->setPiece(1,0, $PieceBlanche->getPieceQuantik(0));
$plateau->setPiece(1,1, $PieceBlanche->getPieceQuantik(1));
$plateau->setPiece(1,2, $PieceBlanche->getPieceQuantik(2));
$plateau->setPiece(1,3, $PieceBlanche->getPieceQuantik(3));
$plateau->setPiece(2,0, $PieceNoire->getPieceQuantik(4));
$plateau->setPiece(2,1, $PieceNoire->getPieceQuantik(5));
$plateau->setPiece(2,2, $PieceNoire->getPieceQuantik(6));
$plateau->setPiece(2,3, $PieceNoire->getPieceQuantik(7));
$plateau->setPiece(3,0, $PieceBlanche->getPieceQuantik(4));
$plateau->setPiece(3,1, $PieceBlanche->getPieceQuantik(5));
$plateau->setPiece(3,2, $PieceBlanche->getPieceQuantik(6));
$plateau->setPiece(3,3, $PieceBlanche->getPieceQuantik(7));

/* test affichage du tableau */


echo "</br>Affichage du elements du plateau</br>";
echo "</br></br>";
echo $plateau ;

//les pieces de la zone Nord-ouest
echo "</br>les pieces de la zone Nord-Ouest</br>";
echo $plateau->getCorner(0);
//les pieces de la zone Nord-est
echo "</br>les pieces de la zone Nord-Est</br>";
echo $plateau->getCorner(1);
//les pieces de la zone sud-ouest
echo "</br>les pieces de la zone Sud-Ouest</br>";
echo $plateau->getCorner(2);
//les pieces de la zone sud-est
echo "</br>les pieces de la zone Sud-Est</br>";
echo $plateau->getCorner(3);

//les pieces qui sont dans la 2eme ligne du plateau
echo "les pieces qui sont dans la 2eme ligne du plateau</br>";
echo $plateau->getRow(2);
//les pieces qui sont dans la 2eme colonne du plateau
echo "les pieces qui sont dans la 2eme colonne du plateau</br>";
echo $plateau->getCol(2);
//la zone ou se trouve la piece de coordonnées 4 et 7
echo "la zone ou se trouve la piece de coordonnées 4 et 7 : ";
echo $plateau->getCornerFromCord(4,7)."</br>";
?>
